RTEMS: System State Handler

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Macros | Enumerations | Functions | Variables
System State Handler
Internal » SuperCore

Management of the internal system state of RTEMS. More...

## Files
file | sysstate.h
| System State Handler API.

## Macros
#define | SYSTEM_STATE_CODES_FIRST SYSTEM_STATE_BEFORE_INITIALIZATION
#define | SYSTEM_STATE_CODES_LAST SYSTEM_STATE_TERMINATED

## Enumerations
enum | System_state_Codes { SYSTEM_STATE_BEFORE_INITIALIZATION , SYSTEM_STATE_BEFORE_MULTITASKING , SYSTEM_STATE_UP , SYSTEM_STATE_TERMINATED }
| System states. More...

## Functions
RTEMS_INLINE_ROUTINE void | _System_state_Set (System_state_Codes state)
| Sets the current system state to the given state.
RTEMS_INLINE_ROUTINE System_state_Codes | _System_state_Get (void)
| Gets the current system state.
RTEMS_INLINE_ROUTINE bool | _System_state_Is_before_initialization (System_state_Codes state)
| Checks if the state is before initialization.
RTEMS_INLINE_ROUTINE bool | _System_state_Is_before_multitasking (System_state_Codes state)
| Checks if the state is before multitasking.
RTEMS_INLINE_ROUTINE bool | _System_state_Is_up (System_state_Codes state)
| Checks if the state is up.
RTEMS_INLINE_ROUTINE bool | _System_state_Is_terminated (System_state_Codes state)
| Checks if the state is terminated.

## Variables
System_state_Codes | _System_state_Current

## Detailed Description

Management of the internal system state of RTEMS.

## Enumeration Type Documentation

## ◆ System_state_Codes

enum System_state_Codes

System states.

Enumerator
SYSTEM_STATE_BEFORE_INITIALIZATION | The system is before the end of the first phase of initialization.
SYSTEM_STATE_BEFORE_MULTITASKING | The system is between end of the first phase of initialization but before multitasking is started.
SYSTEM_STATE_UP | The system is up and operating normally.
SYSTEM_STATE_TERMINATED | The system reached its terminal state.

## Function Documentation

## ◆ _System_state_Get()

RTEMS_INLINE_ROUTINE System_state_Codes _System_state_Get | ( | void |  | ) |

Gets the current system state.

Returns
  The current system state.

## ◆ _System_state_Is_before_initialization()

RTEMS_INLINE_ROUTINE bool _System_state_Is_before_initialization | ( | System_state_Codes | state | ) |

Checks if the state is before initialization.

Parameters

  state | The state to check.

Return values

  true | state is before initialization.
  false | state is not before initialization.

## ◆ _System_state_Is_before_multitasking()

RTEMS_INLINE_ROUTINE bool _System_state_Is_before_multitasking | ( | System_state_Codes | state | ) |

Checks if the state is before multitasking.

Parameters

  state | The state to check.

Return values

  true | state is before multitasking.
  false | state is not before multitasking.

## ◆ _System_state_Is_terminated()

RTEMS_INLINE_ROUTINE bool _System_state_Is_terminated | ( | System_state_Codes | state | ) |

Checks if the state is terminated.

Parameters

  state | The state to check.

Return values

  true | state is terminated.
  false | state is not terminated.

## ◆ _System_state_Is_up()

RTEMS_INLINE_ROUTINE bool _System_state_Is_up | ( | System_state_Codes | state | ) |

Checks if the state is up.

Parameters

  state | The state to check.

Return values

  true | state is up.
  false | state is not up.

## ◆ _System_state_Set()

RTEMS_INLINE_ROUTINE void _System_state_Set | ( | System_state_Codes | state | ) |

Sets the current system state to the given state.

Parameters

  state | The state to set.